Delete multiple object records (up to 1000) asynchronously
Use this endpoint to delete multiple object records of the same object-type in one request.
The request is accepted and processed asynchronously. You can track the status of the deletion process using the returned processId.
Limitations: - Each request can contain up to 1000 object record identifiers - Either ids or ext_ids must be provided, but not both in the same request - Deletion of Brevo standard object records is not supported via this endpoint - If more records must be deleted, send multiple batch requests
Authentication
The API key should be passed in the request headers as api-key for authentication.
OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.
Path parameters
Request
Either ids or ext_ids must be provided, but not both in the same request.
Response
Batch request accepted for deletion - process started